import { EnvironmentalData } from "../Types";
import { Sensor } from "./Sensor";
export declare class TemperatureSensor implements Sensor {
    type: string;
    devAddr: string | undefined;
    mcuId: string | undefined;
    constructor(devAddr?: string, mcuId?: string);
    setDevAddr(devAddr: string): void;
    setMcuId(mcuId: string): void;
    getDevAddr(): string | undefined;
    getMcuId(): string | undefined;
    getData(delay?: number): Promise<EnvironmentalData>;
}
