import { Sensor } from "./Sensor";
import { DataObject } from "../Types";
export declare class STSensor implements Sensor {
    private batterySensor;
    private temperatureSensor;
    private velocitySensor;
    devAddr: string | undefined;
    mcuId: string | undefined;
    constructor(devAddr?: string, mcuId?: string);
    setDevAddr(devAddr: string): void;
    setMcuId(mcuId: string): void;
    getDevAddr(): string | undefined;
    getMcuId(): string | undefined;
    getData(delay?: number): Promise<(DataObject | DataObject[])[]>;
}
