import { DataObject } from "../Types";
export interface Sensor {
    type?: string;
    devAddr: string | undefined;
    mcuId: string | undefined;
    getData(delay?: number): DataObject | (DataObject | DataObject[])[] | Promise<DataObject | (DataObject | DataObject[])[]>;
    setDevAddr(devAddr: string): void;
    setMcuId(mcuId: string): void;
    getDevAddr(): string | undefined;
    getMcuId(): string | undefined;
}
