import { TimeDomainData, RMSSpeedData, AccPeakData, FreqData } from "../Types";
import { Sensor } from "./Sensor";
export declare class VelocitySensor implements Sensor {
    private types;
    devAddr: string | undefined;
    mcuId: string | undefined;
    private statuses;
    private MAX_VALUE;
    private getRandomStatus;
    constructor(devAddr?: string, mcuId?: string);
    setDevAddr(devAddr: string): void;
    setMcuId(mcuId: string): void;
    getDevAddr(): string | undefined;
    getMcuId(): string | undefined;
    private getTimeDomainDataInfo;
    private getRMSSpeedStatus;
    private getAccPeakStatus;
    private getFreqData;
    getData(delay?: number): Promise<(TimeDomainData | RMSSpeedData | AccPeakData | FreqData)[]>;
}
